# Uses of Interface
org.w3c.dom.DocumentFragment

Packages that use DocumentFragment
Package
Description
org.w3c.dom
Provides the interfaces for the Document Object Model (DOM).
org.w3c.dom.ranges
Provides interfaces for DOM Level 2 Range.

## Uses of DocumentFragment in org.w3c.dom

Methods in org.w3c.dom that return DocumentFragment
Modifier and Type
Method
Description
`DocumentFragment`
Document.`createDocumentFragment()`
Creates an empty `DocumentFragment` object.

## Uses of DocumentFragment in org.w3c.dom.ranges

Methods in org.w3c.dom.ranges that return DocumentFragment
Modifier and Type
Method
Description
`DocumentFragment`
Range.`cloneContents()`
Duplicates the contents of a Range
`DocumentFragment`
Range.`extractContents()`
Moves the contents of a Range from the containing document or document fragment to a new DocumentFragment.